=== debian/changelog ===
obs-transition-table (0.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/install: removed. The upstream source code already installs the data
    file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 14 Feb 2022 14:16:08 -0300

obs-transition-table (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1004715)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Feb 2022 14:42:44 -0300
