=== debian/control ===
Source: obs-transition-table
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/transition-table.1174/
Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
Rules-Requires-Root: no

Package: obs-transition-table
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 26)
Enhances: obs-studio
Description: plugin for OBS Studio to create a transition table control
 This plugin adds a Transition Table to the tools menu. This table is useful
 to program several transitions between scenes. E.g. is possible to program
 a transition from "Any Scene" to "Scene 1" using the transition effect
 "Luma Wipe" and with a duration of the "2000ms".
 .
 This plugin, inspired by OBS Transition Matrix, is user-friendly and adds a
 nice professional touch when moving between scenes. This is a good way to
 create complex OBS setups.
 .
 This plugin is compatible with OBS 26 or higher.
