=== debian/watch ===
version=4
https://github.com/exeldro/obs-transition-table/releases .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
