## obs-transition-table 0.2.3+git20220221.d372847

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18)
-project(transition-table VERSION 0.2.2)
+project(transition-table VERSION 0.2.4)
 set(PROJECT_FULL_NAME "Transition Table")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)
