=== debian/changelog ===
obs-transition-table (0.2.3+git20220221.d372847-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/watch: added dversionmangle to ignore git revision.

  [ Debian Janitor ]
  * Remove duplicate values for fields Donation in debian/upstream/metadata.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 11 Jul 2022 21:58:09 -0300

obs-transition-table (0.2.3+git20220221.d372847-1) unstable; urgency=medium

  * New upstream version 0.2.3+git20220221.d372847.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Feb 2022 18:18:04 -0300
