=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://obsproject.com/forum/resources/transition-table.1174/
 Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
 Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
