=== debian/changelog ===
obs-transition-table (0.2.6-3) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:35:54 -0300

obs-transition-table (0.2.6-2) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:50:51 -0300

obs-transition-table (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6.
  * debian/patches/010_update-pt-BR.patch: created to update the pt_BR
    translation.
  * debian/upstream/metadata: added Screenshots field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Jan 2023 13:06:33 -0300

obs-transition-table (0.2.5-3) unstable; urgency=medium

  * debian/watch: disabled the first search rule because the system is not able
    to find a new version when more than one main upstream tarballs is listed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 10:17:26 -0300

obs-transition-table (0.2.5-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/watch: added an extra rule to check if the upstream forgotten to
    put a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Jan 2023 17:52:34 -0300

obs-transition-table (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5.
  * Ran wrap-and-sort.
  * debian/control:
      - Bumped relationships from 26 to 28.0.1 for obs-studio and libobs
        (current version is not compliant with current OBS in Debian Stable
        release).
      - Improved long description.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Oct 2022 13:03:49 -0300
