=== debian/control ===
Source: obs-transition-table
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/transition-table.1174/
Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
Rules-Requires-Root: no

Package: obs-transition-table
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio to create a transition table control
 This plugin adds a Transition Table to the tools menu. This table is useful
 to program several transitions between scenes. E.g. is possible to program
 a transition from "Any Scene" to "Scene 1" using the transition effect
 "Luma Wipe" and with a duration of the "2000ms". Consequently, if the current
 scene is any and the selected scene is 1, after clicking on transition button
 on OBS, the transition will occur using Luma Wipe and over a time of 2000ms.
 .
 This plugin, inspired by OBS Transition Matrix, is user-friendly and adds a
 nice professional touch when moving between scenes. This is a good way to
 create complex OBS setups.
