=== debian/changelog ===
obs-transition-table (0.2.7-5) unstable; urgency=medium

  * debian/changelog: fixed a mistake in previous changelog, changing from
    libusb-1.0-0-dev to libxkbcommon-dev in Build-Depends field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 18:14:06 -0300

obs-transition-table (0.2.7-4) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 17:10:03 -0300

obs-transition-table (0.2.7-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_fix-FTBFS-qt6.patch: created to fix a FTBFS with
    Qt >= 4.7.0. Thanks to Exeldro (upstream). (Closes: #1099975)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Mar 2025 22:50:25 -0300

obs-transition-table (0.2.7-2) unstable; urgency=medium

  * debian/control:
      - Changed qtbase5-dev by qt6-base-dev in Build-Depends field.
      - Improved long description.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 23 May 2024 12:15:54 -0300

obs-transition-table (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7.
  * debian/control:
      - Added a Breaks field to make this plugin incompatible with
        obs-text-slideshow, no longer in Debian.
      - Bumped (build-)dependency of libobs-dev and obs-studio to 29.
  * debian/copyright:
      - Added rights for the new file obs-websocket-api.h.
      - Updated upstream copyright years.
  * debian/patches/010_update-pt-BR.patch': removed because the upstream
    applied this patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 23:19:15 -0300
