=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libobs-dev (>= 28.0.1),
-               qtbase5-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.0
 Homepage: https://obsproject.com/forum/resources/transition-table.1174/
 Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
 Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
@@ -14,8 +15,9 @@
 
 Package: obs-transition-table
 Architecture: any
-Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a transition table control
  This plugin adds a Transition Table to the tools menu. This table is useful
  to program several transitions between scenes. E.g. is possible to program
@@ -27,3 +29,5 @@
  This plugin, inspired by OBS Transition Matrix, is user-friendly and adds a
  nice professional touch when moving between scenes. This is a good way to
  create complex OBS setups.
+ .
+ The 'Transition Table' will be available at native OBS 'Tools' menu.
