=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt5
 
 # Exclude "obs-" from NAME and set a DEST
 export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
@@ -13,10 +12,23 @@
 %:
 	dh $@
 
+# Detecting changes to help the upstream with pt_BR translation.
+# This detection will run in my machine only (canopus).
+execute_before_dh_auto_configure:
+	if [ "$(shell hostname)" = "canopus" ]; then \
+	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
+	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
+	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
+	        echo "ERROR: Translation to pt_BR is out of date."; \
+	        exit 1; \
+	    fi; \
+	fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                              -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
-                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}
+                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
+                             -DLINUX_PORTABLE=Off
 
 execute_before_dh_install:
 	mkdir -p ${PLUGIN_DEST}
