=== debian/changelog ===
obs-transition-table (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated dependencies to require libobs-dev and obs-studio >= 32.
        (Closes: #1128459)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_fix-FTBFS-qt6.patch: dropped because the upstream fixed the source
        code. Thanks!
      - 010_update-pt-BR.patch: added to update the pt-BR translation.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 08:41:11 -0300
