=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: obs-transition-table
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libobs-dev (>= 29),
+               libobs-dev (>= 32),
                libxkbcommon-dev,
-               qt6-base-dev
-Standards-Version: 4.7.0
+               qt6-base-private-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/transition-table.1174/
 Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
 Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
-Rules-Requires-Root: no
 
 Package: obs-transition-table
 Architecture: any
-Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 32), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a transition table control
